Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoPointLightDragger Class Reference
[Draggers]

`#include <Inventor/draggers/SoPointLightDragger.h>`

Inheritance diagram for SoPointLightDragger:

List of all members.

## Detailed Description

The SoPointLightDragger class provides interactive geometry for manipulating a point light source.

Here's how the dragger looks with it's default geometry in the inactive state:

This dragger is well suited to use for setting up the fields of a SoPointLight node, as it provides geometry for the end-user to translate a point in 3D space.

The Coin library also includes a manipulator class, SoPointLightManip, which wraps the functionality provided by this class inside the necessary mechanisms for connecting it to SoPointLight node instances in a scenegraph.

See also:
  SoPointLightManip

## Public Member Functions
| SoPointLightDragger (void)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFVec3f | translation
## Protected Member Functions
| ~SoPointLightDragger ()
virtual SbBool | setUpConnections (SbBool onoff, SbBool doitalways=FALSE)
virtual void | setDefaultOnNonWritingFields (void)
## Static Protected Member Functions
void | fieldSensorCB (void *f, SoSensor *s)
void | valueChangedCB (void *f, SoDragger *d)
## Protected Attributes
SoFieldSensor * | fieldSensor

## Constructor & Destructor Documentation

SoPointLightDragger::SoPointLightDragger | ( | void |  | ) |

| Default constructor, sets up the dragger nodekit catalog with the interaction and feedback geometry. Node kit structure (new entries versus parent class marked with arrow prefix):
      CLASS SoPointLightDragger
      -->"this"
            "callbackList"
            "topSeparator"
               "motionMatrix"
      -->      "material"
      -->      "translator"
               "geomSeparator"
(See SoBaseKit::printDiagram() for information about the output formatting.) Detailed information on catalog parts:
      CLASS SoPointLightDragger
      PVT   "this",  SoPointLightDragger  ---
            "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
      PVT   "topSeparator",  SoSeparator  ---
      PVT   "motionMatrix",  SoMatrixTransform  ---
            "material",  SoMaterial  ---
            "translator",  SoDragPointDragger  ---
      PVT   "geomSeparator",  SoSeparator  ---
(See SoBaseKit::printTable() for information about the output formatting.)

SoPointLightDragger::~SoPointLightDragger | ( |  | ) | `[protected]`

| Protected destructor. (Dragger classes are derived from SoBase, so they are reference counted and automatically destroyed when their reference count goes to 0.)

## Member Function Documentation

void SoPointLightDragger::initClass | ( | void |  | ) | `[static]`

| Initializes type system for this dragger class. Application programmers should usually not have to invoke this method, see documentation of SoInteraction::init(). Reimplemented from SoDragger.

SbBool SoPointLightDragger::setUpConnections | ( | SbBool | onoff,
|  | SbBool | doitalways = FALSE
| ) | `[protected, virtual]`

| Sets up all internal connections for instances of this class. (This method will usually not be of interest to the application programmer, unless you want to extend the library with new custom nodekits or dragger classes. If so, see the SoBaseKit class documentation.) Reimplemented from SoInteractionKit.

void SoPointLightDragger::setDefaultOnNonWritingFields | ( | void |  | ) | `[protected, virtual]`

| (Be aware that this method is unlikely to be of interest to the application programmer who does not want to extend the library with new custom nodekits or draggers. If you indeed are writing extensions, see the information in the SoBaseKit class documentation.) This is a virtual method, and the code in it should call SoField::setDefault() with argument `TRUE` on part fields that should not be written upon scenegraph export operations. This is typically done when: field value is `NULL` and part is `NULL` by default it is a leaf SoGroup or SoSeparator node with no children it is a leaf listpart with no children and an SoGroup or SoSeparator container it is a non-leaf part and it's of SoGroup type and all fields are at their default values Subclasses should usually override this to do additional settings for new member fields. From the subclass, do remember to call "upwards" to your superclass' setDefaultOnNonWritingFields() method. Reimplemented from SoDragger.

void SoPointLightDragger::fieldSensorCB | ( | void * | d,
|  | SoSensor * | s
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Reimplemented from SoInteractionKit.

void SoPointLightDragger::valueChangedCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

## Member Data Documentation

SoSFVec3f SoPointLightDragger::translation

| This field is continuously updated to contain the translation of the pointlight dragger. The application programmer will typically connect this to the SoPointLight::location field of a SoPointLight node (unless using the SoPointLightManip class, where this is taken care of automatically). It may also of course be connected to any other location / translation field controlling the position of scenegraph geometry, it does not have to part of a SoPointLight node specifically.

SoFieldSensor* SoPointLightDragger::fieldSensor`[protected]`

| Obsoleted in Coin. Reimplemented from SoInteractionKit.

The documentation for this class was generated from the following files:

- SoPointLightDragger.h
- SoPointLightDragger.cpp